using UnityEngine;

[RequireComponent(typeof(ParticleSystem))]
public class ParticleSystemDeleter : MonoBehaviour {

    ParticleSystem part;

	void Start () {
	    part = GetComponent<ParticleSystem>();

        Destroy(gameObject, part.startLifetime);
	}
}
